## backport-iwlwifi-dkms 0~101.14146-git987b7ae1

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~101.14146-git987b7ae1-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core101 release (LP: #2141400)
    - Drop upstreamed patches:
      - d/p/0018-backports-genetlink-hold-RCU-in-genlmsg_mcast.patch
      - d/p/backports-guard-SOCKWQ_ASYNC_-NOSPACE-WAITDATA-definition.patch
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-free-SKBTX_WIFI_STATUS-skb-tx_flags-flag.patch
    - Refresh patches:
      - d/p/backports-accommodate-to-__cleanup-based-locking-infrastr.patch
      - d/p/backports-fix-build-against-kernels-v5.0.patch
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
      - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - configure: bump ZFS_META_KVER_MIN and BUILD_EXCLUSIVE_KERNEL_MIN to 5.4
    - debian: dkms: bump BUILD_EXCLUSIVE_KERNEL_MAX to 6.19

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 16:42:49 +0800

## backport-iwlwifi-dkms 0~102.14286

=== net/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the linux networking.
#
# 2 Sep 2000, Christoph Hellwig <hch@infradead.org>
# Rewritten to use lists instead of if-statements.
#

obj-y				:= devres.o socket.o core/

obj-$(CONFIG_COMPAT)		+= compat.o

# LLC has to be linked before the files in net/802/
obj-$(CONFIG_LLC)		+= llc/
obj-y				+= ethernet/ 802/ sched/ netlink/ bpf/ ethtool/
obj-$(CONFIG_NETFILTER)		+= netfilter/
obj-$(CONFIG_INET)		+= ipv4/
obj-$(CONFIG_TLS)		+= tls/
obj-$(CONFIG_XFRM)		+= xfrm/
obj-$(CONFIG_UNIX)		+= unix/
obj-$(CONFIG_INET_PSP)		+= psp/
obj-y				+= ipv6/
obj-$(CONFIG_PACKET)		+= packet/
obj-$(CONFIG_NET_KEY)		+= key/
obj-$(CONFIG_BRIDGE)		+= bridge/
obj-$(CONFIG_NET_DEVLINK)	+= devlink/
obj-y				+= dsa/
obj-$(CONFIG_ATALK)		+= appletalk/
obj-$(CONFIG_X25)		+= x25/
obj-$(CONFIG_LAPB)		+= lapb/
obj-$(CONFIG_NETROM)		+= netrom/
obj-$(CONFIG_ROSE)		+= rose/
obj-$(CONFIG_AX25)		+= ax25/
obj-$(CONFIG_CAN)		+= can/
obj-$(CONFIG_BT)		+= bluetooth/
obj-$(CONFIG_SUNRPC)		+= sunrpc/
obj-$(CONFIG_AF_RXRPC)		+= rxrpc/
obj-$(CONFIG_AF_KCM)		+= kcm/
obj-$(CONFIG_STREAM_PARSER)	+= strparser/
obj-$(CONFIG_ATM)		+= atm/
obj-$(CONFIG_L2TP)		+= l2tp/
obj-$(CONFIG_PHONET)		+= phonet/
ifneq ($(CONFIG_VLAN_8021Q),)
obj-y				+= 8021q/
endif
obj-$(CONFIG_IP_SCTP)		+= sctp/
obj-$(CONFIG_RDS)		+= rds/
obj-$(CPTCFG_WIRELESS)		+= wireless/
obj-$(CPTCFG_MAC80211)		+= mac80211/
obj-$(CONFIG_TIPC)		+= tipc/
obj-$(CONFIG_NETLABEL)		+= netlabel/
obj-$(CONFIG_IUCV)		+= iucv/
obj-$(CONFIG_SMC)		+= smc/
obj-$(CONFIG_RFKILL)		+= rfkill/
obj-$(CONFIG_NET_9P)		+= 9p/
obj-$(CONFIG_CAIF)		+= caif/
obj-$(CONFIG_DCB)		+= dcb/
obj-$(CONFIG_6LOWPAN)		+= 6lowpan/
obj-$(CONFIG_IEEE802154)	+= ieee802154/
obj-$(CONFIG_MAC802154)		+= mac802154/

obj-$(CONFIG_SYSCTL)		+= sysctl_net.o
obj-$(CONFIG_DNS_RESOLVER)	+= dns_resolver/
obj-$(CONFIG_CEPH_LIB)		+= ceph/
obj-$(CONFIG_BATMAN_ADV)	+= batman-adv/
obj-$(CONFIG_NFC)		+= nfc/
obj-$(CONFIG_PSAMPLE)		+= psample/
obj-$(CONFIG_NET_IFE)		+= ife/
obj-$(CONFIG_OPENVSWITCH)	+= openvswitch/
obj-$(CONFIG_VSOCKETS)	+= vmw_vsock/
obj-$(CONFIG_MPLS)		+= mpls/
obj-$(CONFIG_NET_NSH)		+= nsh/
obj-$(CONFIG_HSR)		+= hsr/
obj-$(CONFIG_NET_SWITCHDEV)	+= switchdev/
obj-$(CONFIG_NET_L3_MASTER_DEV)	+= l3mdev/
obj-$(CONFIG_QRTR)		+= qrtr/
obj-$(CONFIG_NET_NCSI)		+= ncsi/
obj-$(CONFIG_XDP_SOCKETS)	+= xdp/
obj-$(CONFIG_MPTCP)		+= mptcp/
obj-$(CONFIG_MCTP)		+= mctp/
obj-$(CONFIG_NET_HANDSHAKE)	+= handshake/
obj-$(CONFIG_NET_SHAPER)	+= shaper/

=== net/mac80211/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CPTCFG_MAC80211) += mac80211.o

ifeq ($(CPTCFG_IWLWIFI_SIMULATION),y)
UBSAN_SANITIZE := y
endif

# mac80211 objects
mac80211-y := \
	main.o status.o \
	driver-ops.o \
	sta_info.o \
	wep.o \
	aead_api.o \
	wpa.o \
	scan.o offchannel.o \
	ht.o agg-tx.o agg-rx.o \
	vht.o \
	he.o \
	s1g.o \
	ibss.o \
	iface.o \
	link.o \
	rate.o \
	michael.o \
	tkip.o \
	aes_cmac.o \
	aes_gmac.o \
	fils_aead.o \
	cfg.o \
	ethtool.o \
	rx.o \
	spectmgmt.o \
	tx.o \
	key.o \
	util.o parse.o \
	wme.o \
	chan.o \
	trace.o mlme.o \
	tdls.o \
	ocb.o \
	airtime.o \
	eht.o uhr.o

mac80211-$(CPTCFG_MAC80211_LEDS) += led.o
mac80211-$(CPTCFG_MAC80211_DEBUGFS) += \
	debugfs.o \
	debugfs_sta.o \
	debugfs_netdev.o \
	debugfs_key.o

mac80211-$(CPTCFG_MAC80211_MESH) += \
	mesh.o \
	mesh_pathtbl.o \
	mesh_plink.o \
	mesh_hwmp.o \
	mesh_sync.o \
	mesh_ps.o

mac80211-$(CONFIG_PM) += pm.o

CFLAGS_trace.o := -I$(src)
subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)

rc80211_minstrel-y := \
	rc80211_minstrel_ht.o

rc80211_minstrel-$(CPTCFG_MAC80211_DEBUGFS) += \
	rc80211_minstrel_ht_debugfs.o

mac80211-$(CPTCFG_MAC80211_RC_MINSTREL) += $(rc80211_minstrel-y)

obj-y += tests/

mac80211-y += wbrf.o

ccflags-y += -DDEBUG

=== net/mac80211/tests/Makefile ===
mac80211-tests-y += module.o util.o elems.o mfp.o tpe.o chan-mode.o s1g_tim.o

obj-$(CPTCFG_MAC80211_KUNIT_TEST) += mac80211-tests.o

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# common
obj-$(CPTCFG_IWLWIFI)	+= iwlwifi.o
iwlwifi-objs		+= iwl-io.o
iwlwifi-objs		+= iwl-drv.o
iwlwifi-objs		+= iwl-debug.o
iwlwifi-objs		+= iwl-nvm-utils.o
iwlwifi-objs		+= iwl-utils.o
iwlwifi-objs		+= iwl-phy-db.o iwl-nvm-parse.o

iwlwifi-objs		+= iwl-dbg-tlv.o
iwlwifi-objs		+= iwl-trans.o

iwlwifi-objs		+= fw/img.o fw/notif-wait.o fw/rs.o
iwlwifi-objs		+= fw/dbg.o fw/pnvm.o fw/dump.o
iwlwifi-objs		+= fw/regulatory.o
iwlwifi-$(CPTCFG_IWLMVM) += fw/paging.o fw/smem.o fw/init.o
iwlwifi-$(CPTCFG_IWLMLD) += fw/smem.o fw/init.o
iwlwifi-$(CONFIG_ACPI) += fw/acpi.o
iwlwifi-$(CONFIG_EFI)	+= fw/uefi.o

iwlwifi-$(CPTCFG_IWLXVT)	+= fw/paging.o fw/smem.o
iwlwifi-$(CPTCFG_IWLXVT)	+= fw/init.o
iwlwifi-$(CPTCFG_IWLWIFI_DEBUGFS) += fw/debugfs.o

# Mock-ups

# Bus
iwlwifi-$(CONFIG_PCI) += pcie/ctxt-info.o pcie/ctxt-info-v2.o pcie/drv.o pcie/utils.o
iwlwifi-$(CONFIG_PCI) += pcie/gen1_2/rx.o pcie/gen1_2/tx.o pcie/gen1_2/trans.o
iwlwifi-$(CONFIG_PCI) += pcie/gen1_2/trans-gen2.o pcie/gen1_2/tx-gen2.o
iwlwifi-$(CONFIG_PCI) += pcie/gen3/trans.o pcie/gen3/interrupts.o

CFLAGS_pcie/drv.o += -Wno-override-init

# combined MAC/RF configurations
iwlwifi-$(CPTCFG_IWLMVM) += cfg/7000.o cfg/8000.o
# MAC configurations
iwlwifi-$(CPTCFG_IWLMVM) += cfg/9000.o cfg/22000.o
iwlwifi-$(CPTCFG_IWLMVM) += cfg/ax210.o
iwlwifi-$(CPTCFG_IWLMVM) += cfg/bz.o cfg/sc.o
iwlwifi-$(CPTCFG_IWLMLD) += cfg/bz.o cfg/sc.o cfg/dr.o
# RF configurations
iwlwifi-$(CPTCFG_IWLMVM) += cfg/rf-jf.o cfg/rf-hr.o cfg/rf-gf.o
iwlwifi-$(CPTCFG_IWLMLD) += cfg/rf-fm.o cfg/rf-wh.o cfg/rf-pe.o

iwlwifi-$(CPTCFG_IWLWIFI_SUPPORT_DEBUG_OVERRIDES) += iwl-dbg-cfg.o

iwlwifi-objs += $(iwlwifi-m)
iwlwifi-objs += $(iwlwifi-y)

iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += iwl-devtrace.o
iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += iwl-tm-gnl.o fw/testmode.o

ccflags-y += -I$(src)
subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
# for FreeBSD compatibility - they use most of our driver

obj-$(CPTCFG_IWLMVM)	+= mvm/
obj-$(CPTCFG_IWLMEI)	+= mei/
obj-$(CPTCFG_IWLXVT)	+= xvt/
obj-$(CPTCFG_IWLMLD)	+= mld/

obj-$(CPTCFG_IWLWIFI_KUNIT_TESTS) += tests/

CFLAGS_iwl-devtrace.o := -I$(src)

ifeq ($(CPTCFG_IWLWIFI_SIMULATION),y)
UBSAN_SANITIZE := y
endif

=== drivers/net/wireless/intel/iwlwifi/mld/Makefile ===
# SPDX-License-Identifier: GPL-2.0 OR BSD-3-Clause
obj-$(CPTCFG_IWLMLD)   += iwlmld.o
obj-$(CPTCFG_IWLWIFI_KUNIT_TESTS) += tests/

iwlmld-y += mld.o notif.o mac80211.o fw.o power.o iface.o link.o rx.o mcc.o session-protect.o phy.o
iwlmld-y += scan.o sta.o tx.o coex.o tlc.o agg.o key.o regulatory.o ap.o thermal.o roc.o stats.o
iwlmld-y += low_latency.o rfi.o mlo.o ptp.o time_sync.o ftm-initiator.o ftm-responder.o nan.o
iwlmld-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o
iwlmld-$(CPTCFG_IWLWIFI_LEDS) += led.o
iwlmld-$(CONFIG_PM_SLEEP) += d3.o

# non-upstream things
iwlmld-$(CPTCFG_IWL_VENDOR_CMDS) += vendor-cmd.o

subdir-ccflags-y += -I$(src)/../

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CPTCFG_IWLMVM)   += iwlmvm.o
obj-$(CPTCFG_IWLWIFI_KUNIT_TESTS) += tests/
iwlmvm-y += fw.o mac80211.o nvm.o ops.o phy-ctxt.o mac-ctxt.o
iwlmvm-y += utils.o rx.o rxmq.o tx.o binding.o quota.o sta.o sf.o
iwlmvm-y += scan.o time-event.o rs.o rs-fw.o
iwlmvm-y += power.o coex.o
iwlmvm-y += tt.o offloading.o tdls.o
iwlmvm-y += ftm-responder.o ftm-initiator.o
iwlmvm-y += rfi.o
iwlmvm-y += time-sync.o
iwlmvm-y += mld-key.o mld-mac.o link.o mld-sta.o mld-mac80211.o
iwlmvm-y += ptp.o
iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
iwlmvm-$(CONFIG_PM_SLEEP) += d3.o
iwlmvm-$(CPTCFG_IWLMEI) += vendor-cmd.o

subdir-ccflags-y += -I$(src)/../

# non-upstream things
iwlmvm-$(CPTCFG_IWL_VENDOR_CMDS) += vendor-cmd.o

ifeq ($(CPTCFG_IWLWIFI_SIMULATION),y)
UBSAN_SANITIZE := y
endif

## backport-iwlwifi-dkms 0~102.14286-git483a4f9d

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~102.14286-git483a4f9d-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core102 release (LP: #2141401)
    - debian: dkms: remove BUILD_EXCLUSIVE_KERNEL_MAX for now

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 10 Feb 2026 18:18:24 +0800

## backport-iwlwifi-dkms 0~103.14434-gitdf6b5bf4

=== debian/changelog ===
backport-iwlwifi-dkms (1:0~103.14434-gitdf6b5bf4-0ubuntu1) resolute; urgency=medium

  * Migrate to upstream core103 release (LP: #2143137)
    - Drop upstreamed patches:
      - d/p/wifi-iwlwifi-trans-rename-at_least-variable-to-min_mode.patch
    - backports: accommodate to removal of __cond_lock
    - backports: include linux/hex.h for mac_pton

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 03 Mar 2026 20:45:23 +0800

## backport-iwlwifi-dkms 7906

=== compat/Makefile ===
ccflags-y += -I$(src) -Wframe-larger-than=1280
ifeq ($(CONFIG_BACKPORT_INTEGRATE),)
obj-m += compat.o
else
obj-y += compat.o
endif
compat-y += main.o

# Kernel backport compatibility code
compat-$(CPTCFG_KERNEL_3_0) += compat-3.0.o
compat-$(CPTCFG_KERNEL_3_1) += compat-3.1.o
compat-$(CPTCFG_KERNEL_3_2) += backport-3.2.o
compat-$(CPTCFG_KERNEL_3_3) += compat-3.3.o
compat-$(CPTCFG_KERNEL_3_4) += compat-3.4.o
compat-$(CPTCFG_KERNEL_3_5) += compat-3.5.o user_namespace.o
compat-$(CPTCFG_KERNEL_3_6) += compat-3.6.o
compat-$(CPTCFG_KERNEL_3_7) += compat-3.7.o
compat-$(CPTCFG_KERNEL_3_8) += compat-3.8.o
compat-$(CPTCFG_KERNEL_3_9) += compat-3.9.o
compat-$(CPTCFG_KERNEL_3_10) += backport-3.10.o
compat-$(CPTCFG_KERNEL_3_11) += backport-3.11.o
compat-$(CPTCFG_KERNEL_3_12) += backport-3.12.o
compat-$(CPTCFG_KERNEL_3_13) += backport-3.13.o memneq.o
compat-$(CPTCFG_KERNEL_3_14) += backport-3.14.o
compat-$(CPTCFG_KERNEL_3_15) += backport-3.15.o
compat-$(CPTCFG_KERNEL_3_17) += backport-3.17.o
compat-$(CPTCFG_KERNEL_3_18) += backport-3.18.o
compat-$(CPTCFG_KERNEL_3_19) += backport-3.19.o
compat-$(CPTCFG_KERNEL_4_0) += backport-4.0.o
compat-$(CPTCFG_KERNEL_4_1) += backport-4.1.o
compat-$(CPTCFG_KERNEL_4_2) += backport-4.2.o
compat-$(CPTCFG_KERNEL_4_3) += backport-4.3.o
compat-$(CPTCFG_KERNEL_4_4) += backport-4.4.o
compat-$(CPTCFG_KERNEL_4_5) += backport-4.5.o
compat-$(CPTCFG_KERNEL_4_6) += backport-4.6.o
compat-$(CPTCFG_KERNEL_4_7) += backport-4.7.o
compat-$(CPTCFG_KERNEL_4_8) += backport-4.8.o
compat-$(CPTCFG_KERNEL_4_10) += backport-4.10.o
compat-$(CPTCFG_KERNEL_4_18) += backport-4.18.o
compat-$(CPTCFG_KERNEL_4_20) += backport-4.20.o

compat-$(CPTCFG_KERNEL_5_2) += backport-genetlink.o

compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/verify.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7.asn1.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7_verify.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7_parser.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/x509.asn1.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/x509_akid.asn1.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/x509_cert_parser.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/x509_public_key.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7_trust.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/key.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/public_key.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/rsa.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/bignum.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/md.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/md_wrap.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/sha256.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/oid.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/asn1parse.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/rsapubkey.asn1.o

$(obj)/lib-oid_registry.o: $(obj)/oid_registry_data.c

$(obj)/oid_registry_data.c: $(src)/../include/linux/backport-oid_registry.h \
			    $(src)/build_OID_registry
	$(call cmd,build_OID_registry)

quiet_cmd_build_OID_registry = GEN     $@
	cmd_build_OID_registry = perl $(src)/build_OID_registry $< $@
compat-$(CPTCFG_BPAUTO_ASN1_DECODER) += lib-asn1_decoder.o
compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += lib-oid_registry.o
compat-$(CPTCFG_BPAUTO_REFCOUNT) += lib-refcount.o
compat-$(CPTCFG_BPAUTO_BUILD_WANT_DEV_COREDUMP) += drivers-base-devcoredump.o
compat-$(CPTCFG_BPAUTO_RHASHTABLE) += lib-rhashtable.o
compat-$(CPTCFG_BPAUTO_PUBLIC_KEY) += 
compat-$(CPTCFG_BPAUTO_BUCKET_LOCKS) += lib-bucket_locks.o
compat-$(CPTCFG_BPAUTO_PKCS7) +=

=== net/wireless/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CPTCFG_CFG80211) += cfg80211.o
obj-$(CPTCFG_LIB80211) += lib80211.o
obj-$(CPTCFG_LIB80211_CRYPT_WEP) += lib80211_crypt_wep.o
obj-$(CPTCFG_LIB80211_CRYPT_CCMP) += lib80211_crypt_ccmp.o
obj-$(CPTCFG_LIB80211_CRYPT_TKIP) += lib80211_crypt_tkip.o

obj-$(CONFIG_WEXT_CORE) += wext-core.o
obj-$(CONFIG_WEXT_PROC) += wext-proc.o
obj-$(CONFIG_WEXT_SPY) += wext-spy.o
obj-$(CONFIG_WEXT_PRIV) += wext-priv.o

cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o scan.o nl80211.o
cfg80211-y += mlme.o ibss.o sme.o chan.o ethtool.o mesh.o ap.o trace.o ocb.o
cfg80211-y += pmsr.o
cfg80211-$(CONFIG_OF) += of.o
cfg80211-$(CPTCFG_CFG80211_DEBUGFS) += debugfs.o
cfg80211-$(CPTCFG_CFG80211_WEXT) += wext-compat.o wext-sme.o

CFLAGS_trace.o := -I$(src)
subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)

cfg80211-$(CPTCFG_CFG80211_USE_KERNEL_REGDB_KEYS) += shipped-certs.o
ifneq ($(CPTCFG_CFG80211_EXTRA_REGDB_KEYDIR),)
cfg80211-y += extra-certs.o
endif

$(obj)/shipped-certs.c: $(wildcard $(src)/certs/*.hex)
	@$(kecho) "  GEN     $@"
	@(echo '#include "reg.h"'; \
	  echo 'const u8 shipped_regdb_certs[] = {'; \
	  cat $^ ; \
	  echo '};'; \
	  echo 'unsigned int shipped_regdb_certs_len = sizeof(shipped_regdb_certs);'; \
	 ) > $@

$(obj)/extra-certs.c: $(CPTCFG_CFG80211_EXTRA_REGDB_KEYDIR:"%"=%) \
		      $(wildcard $(CPTCFG_CFG80211_EXTRA_REGDB_KEYDIR:"%"=%)/*.x509)
	@$(kecho) "  GEN     $@"
	@(set -e; \
	  allf=""; \
	  for f in $^ ; do \
	      # similar to hexdump -v -e '1/1 "0x%.2x," "\n"' \
	      thisf=$$(od -An -v -tx1 < $$f | \
	                   sed -e 's/ /\n/g' | \
	                   sed -e 's/^[0-9a-f]\+$$/\0/;t;d' | \
	                   sed -e 's/^/0x/;s/$$/,/'); \
	      # file should not be empty - maybe command substitution failed? \
	      test ! -z "$$thisf";\
	      allf=$$allf$$thisf;\
	  done; \
	  ( \
	      echo '#include "reg.h"'; \
	      echo 'const u8 extra_regdb_certs[] = {'; \
	      echo "$$allf"; \
	      echo '};'; \
	      echo 'unsigned int extra_regdb_certs_len = sizeof(extra_regdb_certs);'; \
	  ) > $@)

clean-files += shipped-certs.c extra-certs.c

=== drivers/net/wireless/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux Wireless network device drivers.
#
#
#obj-$(CONFIG_WLAN_VENDOR_ADMTEK) += admtek/
#obj-$(CONFIG_WLAN_VENDOR_ATH) += ath/
#obj-$(CONFIG_WLAN_VENDOR_ATMEL) += atmel/
#obj-$(CONFIG_WLAN_VENDOR_BROADCOM) += broadcom/
#obj-$(CONFIG_WLAN_VENDOR_CISCO) += cisco/
obj-$(CPTCFG_WLAN_VENDOR_INTEL) += intel/
#obj-$(CONFIG_WLAN_VENDOR_INTERSIL) += intersil/
#obj-$(CONFIG_WLAN_VENDOR_MARVELL) += marvell/
#obj-$(CONFIG_WLAN_VENDOR_MEDIATEK) += mediatek/
#obj-$(CONFIG_WLAN_VENDOR_RALINK) += ralink/
#obj-$(CONFIG_WLAN_VENDOR_REALTEK) += realtek/
#obj-$(CONFIG_WLAN_VENDOR_RSI) += rsi/
#obj-$(CONFIG_WLAN_VENDOR_ST) += st/
#obj-$(CONFIG_WLAN_VENDOR_TI) += ti/
#obj-$(CONFIG_WLAN_VENDOR_ZYDAS) += zydas/
#obj-$(CONFIG_WLAN_VENDOR_QUANTENNA) += quantenna/

# 16-bit wireless PCMCIA client drivers
#obj-$(CPTCFG_PCMCIA_RAYCS)	+= ray_cs.o
#obj-$(CPTCFG_PCMCIA_WL3501)	+= wl3501_cs.o
#
#obj-$(CPTCFG_USB_NET_RNDIS_WLAN)	+= rndis_wlan.o

obj-$(CPTCFG_MAC80211_HWSIM)	+= mac80211_hwsim.o
#
#obj-$(CPTCFG_VIRT_WIFI)	+= virt_wifi.o

=== drivers/net/wireless/intel/Makefile ===
#obj-$(CONFIG_IPW2100) += ipw2x00/
#obj-$(CONFIG_IPW2200) += ipw2x00/
#
#obj-$(CONFIG_IWLEGACY)	+= iwlegacy/

obj-$(CPTCFG_IWLWIFI)	+= iwlwifi/

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CPTCFG_IWLMVM)   += iwlmvm.o
iwlmvm-y += fw.o mac80211.o nvm.o ops.o phy-ctxt.o mac-ctxt.o
iwlmvm-y += utils.o rx.o rxmq.o tx.o binding.o quota.o sta.o sf.o
iwlmvm-y += scan.o time-event.o rs.o rs-fw.o
iwlmvm-y += power.o coex.o
iwlmvm-y += tt.o offloading.o tdls.o
iwlmvm-y += ftm-initiator.o
iwlmvm-y += ftm-responder.o
iwlmvm-y += nan.o
iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
iwlmvm-$(CONFIG_PM) += d3.o

ccflags-y += -I$(src)/../

# non-upstream things
iwlmvm-$(CPTCFG_IWLMVM_VENDOR_CMDS) += vendor-cmd.o

=== debian/changelog ===
backport-iwlwifi-dkms (7906-ubuntu1) bionic; urgency=low

  * Sync with debian 7906-1.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 9 Jul 2019 16:35:22 +0800

backport-iwlwifi-dkms (7858-ubuntu2) UNRELEASED; urgency=low

  * Fix build on recent kernel that removes *.lex.c and *.tab.c at clean
    stage.
  * Switch to non-native build.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 25 Jun 2019 18:41:42 +0800

backport-iwlwifi-dkms (7858-ubuntu1) UNRELEASED; urgency=low

  * sync with debian 7858.

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 21 Jun 2019 15:27:31 +0800

backport-iwlwifi-dkms (7841-ubuntu2) UNRELEASED; urgency=low

  * add modalias support.

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 14 Jun 2019 19:34:47 +0800

backport-iwlwifi-dkms (7841-ubuntu1) UNRELEASED; urgency=low

  * sync with debian 7841.

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 14 Jun 2019 18:14:21 +0800

backport-iwlwifi-dkms (7815-ubuntu1) UNRELEASED; urgency=low

  * sync with debian 7815.
  * drop
    0001-UBUNTU-SAUCE-iwlwifi-trans-fix-killer-series-loadded-incor.patch:
    this has been fixed by upstream commit f9c164492c3a.

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 14 Jun 2019 17:57:17 +0800

backport-iwlwifi-dkms (7744-ubuntu3) UNRELEASED; urgency=low

  * sync with debian 7744+deb1.
  * use CI definitions from salsa-ci-team/pipeline
  * add dependency to libc-dev
  * rewrite debian/rules a bit

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 30 May 2019 16:02:20 +0800

backport-iwlwifi-dkms (7744-ubuntu2) UNRELEASED; urgency=low

  * Use DEB_VERSION_UPSTREAM for installed dkms source.

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 30 May 2019 16:02:20 +0800

backport-iwlwifi-dkms (7744-ubuntu1) UNRELEASED; urgency=low

  * Close lp:1830822.

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 28 May 2019 15:53:12 +0800

backport-iwlwifi-dkms (7744) UNRELEASED; urgency=low

  * Initial release (Closes: 929692)

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 23 May 2019 14:10:43 +0800

=== debian/control ===
Source: backport-iwlwifi-dkms
Section: kernel
Priority: optional
Maintainer: You-Sheng Yang <vicamo@gmail.com>
Build-Depends:
 debhelper (>=9),
 dh-modaliases,
 dkms,
 quilt,
Standards-Version: 4.3.0
Homepage: https://gitlab.com/vicamo/backport-iwlwifi-dkms
Vcs-Browser: https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/master
Vcs-Git: https://gitlab.com/vicamo/backport-iwlwifi-dkms.git

Package: backport-iwlwifi-dkms
Architecture: all
Depends:
 dkms,
 libc6-dev | libc-dev,
 ${misc:Depends},
Provides: iwlwifi-modules
XB-Modaliases: ${modaliases}
Description: iwlwifi driver backport in DKMS format
 Intel works with periodic releases of the iwlwifi driver that are
 tested with a specific combination of components. They are called
 LinuxCore releases and are numbered sequentially, e.g. LinuxCore11
 is the latest stable release as of May 2015.
 .
 This package provides iwlwifi modules built from iwlwifi-public
 defconfig based on upstream master branch.

## backport-iwlwifi-dkms 8324

=== Makefile ===
#
# Makefile for the output source package
#

ifeq ($(KERNELRELEASE),)

MAKEFLAGS += --no-print-directory
SHELL := /bin/bash
BACKPORT_DIR := $(shell pwd)

KMODDIR ?= updates
ifneq ($(origin KLIB), undefined)
KMODPATH_ARG := "INSTALL_MOD_PATH=$(KLIB)"
else
KLIB := /lib/modules/$(shell uname -r)/
KMODPATH_ARG :=
endif
KLIB_BUILD ?= $(KLIB)/build/
KERNEL_CONFIG := $(KLIB_BUILD)/.config
KERNEL_MAKEFILE := $(KLIB_BUILD)/Makefile
CONFIG_MD5 := $(shell md5sum $(KERNEL_CONFIG) 2>/dev/null | sed 's/\s.*//')

export KLIB KLIB_BUILD BACKPORT_DIR KMODDIR KMODPATH_ARG

# disable built-in rules for this file
.SUFFIXES:

.PHONY: default
default:
	@$(MAKE) modules

.PHONY: mrproper
mrproper:
	@test -f .config && $(MAKE) clean || true
	@rm -f .config
	@rm -f .kernel_config_md5 Kconfig.versions Kconfig.kernel
	@rm -f backport-include/backport/autoconf.h

.DEFAULT:
	@set -e ; test -f local-symbols || (						\
	echo "/--------------"								;\
	echo "| You shouldn't run make in the backports tree, but only in"		;\
	echo "| the generated output. This here is only the skeleton code"		;\
	echo "| copied into the output directory. To use the backport system"		;\
	echo "| from scratch, go into the top-level directory and run"			;\
	echo "|	./gentree.py /path/to/linux-next/ /tmp/output"				;\
	echo "| and then make menuconfig/... in the output directory. See"		;\
	echo "|	./gentree.py --help"							;\
	echo "| for more options."							;\
	echo "\\--"									;\
	false)
	@set -e ; test -f $(KERNEL_CONFIG) || (						\
	echo "/--------------"								;\
	echo "| Your kernel headers are incomplete/not installed."			;\
	echo "| Please install kernel headers, including a .config"			;\
	echo "| file or use the KLIB/KLIB_BUILD make variables to"			;\
	echo "| set the kernel to build against, e.g."					;\
	echo "|   make KLIB=/lib/modules/3.1.7/"					;\
	echo "| to compile/install for the installed kernel 3.1.7"			;\
	echo "| (that isn't currently running.)"					;\
	echo "\\--"									;\
	false)
	@set -e ; if [ "$$(cat .kernel_config_md5 2>/dev/null)" != "$(CONFIG_MD5)" ]	;\
	then 										\
		echo -n "Generating local configuration database from kernel ..."	;\
		grep -v -f local-symbols $(KERNEL_CONFIG) | grep = | (			\
			while read l ; do						\
				if [ "$${l:0:7}" != "CONFIG_" ] ; then			\
					continue					;\
				fi							;\
				l=$${l:7}						;\
				n=$${l%%=*}						;\
				v=$${l#*=}						;\
				if [ "$$v" = "m" ] ; then				\
					echo config $$n					;\
					echo '    tristate' 				;\
				elif [ "$$v" = "y" ] ; then				\
					echo config $$n					;\
					echo '    bool'					;\
				else							\
					continue					;\
				fi							;\
				echo "    default $$v"					;\
				echo ""							;\
			done								\
		) > Kconfig.kernel							;\
		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
			sed 's/^\(\([3-5]\|2\.6\)\.[0-9]\+\).*/\1/;t;d')		;\
		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
		test "$$kver" != ""							;\
		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\
		kvers="$$kvers $$(seq 0 19 | sed 's/^/3./')"				;\
		kvers="$$kvers $$(seq 0 20 | sed 's/^/4./')"				;\
		kvers="$$kvers $$(seq 0 99 | sed 's/^/5./')"				;\
		print=0									;\
		for v in $$kvers ; do							\
			if [ "$$print" = "1" ] ; then					\
				echo config KERNEL_$$(echo $$v | tr . _)	;\
				echo "    def_bool y"					;\
			fi								;\
			if [ "$$v" = "$$kver" ] ; then print=1 ; fi			;\
		done > Kconfig.versions							;\
		# RHEL as well, sadly we need to grep for it				;\
		RHEL_MAJOR=$$(grep '^RHEL_MAJOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		RHEL_MINOR=$$(grep '^RHEL_MINOR' $(KERNEL_MAKEFILE) | 			\
					sed 's/.*=\s*\([0-9]*\)/\1/;t;d')		;\
		for v in $$(seq 0 $$RHEL_MINOR) ; do 					\
			echo config BACKPORT_RHEL_KERNEL_$${RHEL_MAJOR}_$$v		;\
			echo "    def_bool y"						;\
		done >> Kconfig.versions						;\
		echo " done."								;\
	fi										;\
	echo "$(CONFIG_MD5)" > .kernel_config_md5
	@$(MAKE) -f Makefile.real "$@"

.PHONY: defconfig-help
defconfig-help:
	@echo "Driver or subsystem configuration targets:"
	@set -e						;\
		bk_configs="$$(ls defconfigs/*)" 	;\
		for cfg in $$bk_configs; do		\
			echo "  defconfig-$${cfg##defconfigs/}"	;\
		done
	@echo ""

.PHONY: help
help: defconfig-help
	@echo "Cleaning targets:"
	@echo "  clean           - Remove most generated files but keep the config and"
	@echo "                    enough build support to build external modules"
	@echo "  mrproper        - Remove all generated files + config + various backup files"
	@echo ""
	@echo "Driver configuration help:"
	@echo "  defconfig-help  - List all prearranged defconfig-targets we have"
	@echo "                    designed for you. You can use this to find"
	@echo "                    driver specific configs in case all you really"
	@echo "                    need is to just compile one or a small group "
	@echo "                    of drivers."
	@echo ""
	@echo "Configuration targets:"
	@echo "  menuconfig      - Update current config utilising a menu based program"
	@echo "  oldconfig       - Update current config utilising a provided .config as base"
	@echo "  oldaskconfig    - ??"
	@echo "  silentoldconfig - Same as oldconfig, but quietly, additionally update deps"
	@echo "  allnoconfig     - New config where all options are answered with no"
	@echo "  allyesconfig    - New config where all options are accepted with yes"
	@echo "  allmodconfig    - New config selecting modules when possible"
	@echo "  alldefconfig    - New config with all symbols set to default"
	@echo "  randconfig      - New config with random answer to all options"
	@echo "  listnewconfig   - List new options"
	@echo "  olddefconfig    - Same as silentoldconfig but sets new symbols to their default value"
	@echo ""
	@echo "Other generic targets:"
	@echo "  all             - Build all targets marked with [*]"
	@echo "* modules         - Build all modules"
	@echo ""
	@echo "Architecture specific targets:"
	@echo "  install         - Install modules"
	@echo "  uninstall       - Uninstall modules"
	@echo ""
	@echo "Execute "make" or "make all" to build all targets marked with [*]"
else
include $(BACKPORT_DIR)/Makefile.kernel
endif

htmldocs:
	@make srctree=$(shell pwd) src=Documentation obj=Documentation -f Documentation/Makefile.sphinx htmldocs

=== compat/Makefile ===
--- 
+++ 
@@ -37,9 +37,7 @@
 compat-$(CPTCFG_KERNEL_4_8) += backport-4.8.o
 compat-$(CPTCFG_KERNEL_4_10) += backport-4.10.o
 compat-$(CPTCFG_KERNEL_4_18) += backport-4.18.o
-compat-$(CPTCFG_KERNEL_4_20) += backport-4.20.o
-
-compat-$(CPTCFG_KERNEL_5_2) += backport-genetlink.o
+compat-$(CPTCFG_KERNEL_5_2) += backport-5.2.o backport-genetlink.o
 
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/verify.o
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7.asn1.o
@@ -77,3 +75,4 @@
 compat-$(CPTCFG_BPAUTO_PUBLIC_KEY) += 
 compat-$(CPTCFG_BPAUTO_BUCKET_LOCKS) += lib-bucket_locks.o
 compat-$(CPTCFG_BPAUTO_PKCS7) += 
+compat-$(CPTCFG_BPAUTO_BUILD_CRYPTO_LIB_ARC4) += lib-crypto-arc4.o

=== net/mac80211/Makefile ===
--- 
+++ 
@@ -1,9 +1,5 @@
 # SPDX-License-Identifier: GPL-2.0
 obj-$(CPTCFG_MAC80211) += mac80211.o
-
-ifeq ($(CPTCFG_IWLWIFI_SIMULATION),y)
-UBSAN_SANITIZE := y
-endif
 
 # mac80211 objects
 mac80211-y := \
@@ -17,10 +13,8 @@
 	ht.o agg-tx.o agg-rx.o \
 	vht.o \
 	he.o \
-	s1g.o \
 	ibss.o \
 	iface.o \
-	link.o \
 	rate.o \
 	michael.o \
 	tkip.o \
@@ -33,14 +27,12 @@
 	spectmgmt.o \
 	tx.o \
 	key.o \
-	util.o parse.o \
+	util.o \
 	wme.o \
 	chan.o \
 	trace.o mlme.o \
 	tdls.o \
-	ocb.o \
-	airtime.o \
-	eht.o uhr.o
+	ocb.o
 
 mac80211-$(CPTCFG_MAC80211_LEDS) += led.o
 mac80211-$(CPTCFG_MAC80211_DEBUGFS) += \
@@ -63,15 +55,13 @@
 subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
 
 rc80211_minstrel-y := \
+	rc80211_minstrel.o \
 	rc80211_minstrel_ht.o
 
 rc80211_minstrel-$(CPTCFG_MAC80211_DEBUGFS) += \
+	rc80211_minstrel_debugfs.o \
 	rc80211_minstrel_ht_debugfs.o
 
 mac80211-$(CPTCFG_MAC80211_RC_MINSTREL) += $(rc80211_minstrel-y)
 
-obj-y += tests/
-
-mac80211-y += wbrf.o
-
 ccflags-y += -DDEBUG

=== net/wireless/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	@(set -e; \
 	  allf=""; \
 	  for f in $^ ; do \
+	      test -f $$f || continue;\
 	      # similar to hexdump -v -e '1/1 "0x%.2x," "\n"' \
 	      thisf=$$(od -An -v -tx1 < $$f | \
 	                   sed -e 's/ /\n/g' | \

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# common
obj-$(CPTCFG_IWLWIFI)	+= iwlwifi.o
iwlwifi-objs		+= iwl-io.o
iwlwifi-objs		+= iwl-drv.o
iwlwifi-objs		+= iwl-debug.o
iwlwifi-objs		+= iwl-eeprom-read.o iwl-eeprom-parse.o
iwlwifi-objs		+= iwl-phy-db.o iwl-nvm-parse.o
iwlwifi-objs		+= iwl-dbg-tlv.o
iwlwifi-objs		+= iwl-trans.o

iwlwifi-objs		+= fw/img.o fw/notif-wait.o
iwlwifi-objs		+= fw/dbg.o
iwlwifi-$(CPTCFG_IWLMVM)	+= fw/paging.o fw/smem.o fw/init.o
iwlwifi-$(CPTCFG_IWLXVT)	+= fw/init.o
iwlwifi-$(CPTCFG_IWLWIFI_DEBUGFS) += fw/debugfs.o

iwlwifi-$(CONFIG_ACPI)	+= fw/acpi.o

# Bus
iwlwifi-$(CONFIG_PCI) += pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
iwlwifi-$(CONFIG_PCI) += pcie/ctxt-info.o pcie/ctxt-info-gen3.o pcie/trans-gen2.o pcie/tx-gen2.o

iwlwifi-$(CPTCFG_IWLMVM) += cfg/7000.o cfg/8000.o
iwlwifi-$(CPTCFG_IWLMVM) += cfg/9000.o cfg/22000.o

iwlwifi-$(CPTCFG_IWLWIFI_SUPPORT_DEBUG_OVERRIDES) += iwl-dbg-cfg.o


iwlwifi-objs += $(iwlwifi-m)
iwlwifi-objs += $(iwlwifi-y)

iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += iwl-devtrace.o
iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += iwl-tm-gnl.o iwl-dnt-cfg.o iwl-dnt-dispatch.o
iwlwifi-$(CPTCFG_IWLWIFI_DEVICE_TESTMODE) += iwl-dnt-dev-if.o fw/testmode.o

ccflags-y += -I$(src)
subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)

obj-$(CPTCFG_IWLMVM)	+= mvm/
obj-$(CPTCFG_IWLXVT)	+= xvt/

CFLAGS_iwl-devtrace.o := -I$(src)

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,9 @@
 XB-Modaliases: ${modaliases}
 Description: iwlwifi driver backport in DKMS format
  Intel works with periodic releases of the iwlwifi driver that are
- tested with a specific combination of components. They are called
- LinuxCore releases and are numbered sequentially, e.g. LinuxCore11
- is the latest stable release as of May 2015.
+ tested with a specific combination of components such as firmware and
+ hostap. These releases can be seen as snapshots of the development
+ trees (including upstream) that can be used on older kernels.
  .
  This package provides iwlwifi modules built from iwlwifi-public
  defconfig based on upstream master branch.

=== debian/tests/control ===
Tests: dkms-autopkgtest
Restrictions:
 needs-root,
 allow-stderr,
Depends:
 gcc,
 linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic | linux-headers,

## backport-iwlwifi-dkms 8613

=== compat/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 compat-$(CPTCFG_KERNEL_4_10) += backport-4.10.o
 compat-$(CPTCFG_KERNEL_4_18) += backport-4.18.o
 compat-$(CPTCFG_KERNEL_5_2) += backport-5.2.o backport-genetlink.o
+compat-$(CPTCFG_KERNEL_5_5) += backport-5.5.o
 
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/verify.o
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7.asn1.o

=== net/mac80211/Makefile ===
--- 
+++ 
@@ -32,7 +32,8 @@
 	chan.o \
 	trace.o mlme.o \
 	tdls.o \
-	ocb.o
+	ocb.o \
+	airtime.o
 
 mac80211-$(CPTCFG_MAC80211_LEDS) += led.o
 mac80211-$(CPTCFG_MAC80211_DEBUGFS) += \

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 iwlwifi-objs		+= iwl-phy-db.o iwl-nvm-parse.o
 iwlwifi-objs		+= iwl-dbg-tlv.o
 iwlwifi-objs		+= iwl-trans.o
+iwlwifi-objs		+= queue/tx.o
 
 iwlwifi-objs		+= fw/img.o fw/notif-wait.o
 iwlwifi-objs		+= fw/dbg.o

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: You-Sheng Yang <vicamo@gmail.com>
 Build-Depends:
  debhelper (>=9),
- dh-modaliases,
  dkms,
  quilt,
 Standards-Version: 4.3.0
@@ -19,7 +18,6 @@
  libc6-dev | libc-dev,
  ${misc:Depends},
 Provides: iwlwifi-modules
-XB-Modaliases: ${modaliases}
 Description: iwlwifi driver backport in DKMS format
  Intel works with periodic releases of the iwlwifi driver that are
  tested with a specific combination of components such as firmware and

## backport-iwlwifi-dkms 9340

=== net/mac80211/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	ht.o agg-tx.o agg-rx.o \
 	vht.o \
 	he.o \
+	s1g.o \
 	ibss.o \
 	iface.o \
 	rate.o \
@@ -56,11 +57,9 @@
 subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
 
 rc80211_minstrel-y := \
-	rc80211_minstrel.o \
 	rc80211_minstrel_ht.o
 
 rc80211_minstrel-$(CPTCFG_MAC80211_DEBUGFS) += \
-	rc80211_minstrel_debugfs.o \
 	rc80211_minstrel_ht_debugfs.o
 
 mac80211-$(CPTCFG_MAC80211_RC_MINSTREL) += $(rc80211_minstrel-y)

=== net/wireless/Makefile ===
--- 
+++ 
@@ -25,11 +25,11 @@
 cfg80211-y += extra-certs.o
 endif
 
-$(obj)/shipped-certs.c: $(wildcard $(src)/certs/*.hex)
+$(obj)/shipped-certs.c: $(wildcard $(backport_srctree)/$(src)/certs/*.hex)
 	@$(kecho) "  GEN     $@"
 	@(echo '#include "reg.h"'; \
 	  echo 'const u8 shipped_regdb_certs[] = {'; \
-	  cat $^ ; \
+	  echo | cat - $^ ; \
 	  echo '};'; \
 	  echo 'unsigned int shipped_regdb_certs_len = sizeof(shipped_regdb_certs);'; \
 	 ) > $@

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -10,13 +10,14 @@
 iwlwifi-objs		+= iwl-trans.o
 iwlwifi-objs		+= queue/tx.o
 
-iwlwifi-objs		+= fw/img.o fw/notif-wait.o
-iwlwifi-objs		+= fw/dbg.o
+iwlwifi-objs		+= fw/img.o fw/notif-wait.o fw/rs.o
+iwlwifi-objs		+= fw/dbg.o fw/pnvm.o fw/dump.o
 iwlwifi-$(CPTCFG_IWLMVM)	+= fw/paging.o fw/smem.o fw/init.o
 iwlwifi-$(CPTCFG_IWLXVT)	+= fw/init.o
 iwlwifi-$(CPTCFG_IWLWIFI_DEBUGFS) += fw/debugfs.o
 
 iwlwifi-$(CONFIG_ACPI)	+= fw/acpi.o
+iwlwifi-$(CONFIG_EFI)	+= fw/uefi.o
 
 # Bus
 iwlwifi-$(CONFIG_PCI) += pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o
@@ -26,7 +27,6 @@
 iwlwifi-$(CPTCFG_IWLMVM) += cfg/9000.o cfg/22000.o
 
 iwlwifi-$(CPTCFG_IWLWIFI_SUPPORT_DEBUG_OVERRIDES) += iwl-dbg-cfg.o
-
 
 iwlwifi-objs += $(iwlwifi-m)
 iwlwifi-objs += $(iwlwifi-y)
@@ -41,4 +41,6 @@
 obj-$(CPTCFG_IWLMVM)	+= mvm/
 obj-$(CPTCFG_IWLXVT)	+= xvt/
 
+obj-$(CPTCFG_IWLMEI)	+= mei/
+
 CFLAGS_iwl-devtrace.o := -I$(src)

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 iwlmvm-y += scan.o time-event.o rs.o rs-fw.o
 iwlmvm-y += power.o coex.o
 iwlmvm-y += tt.o offloading.o tdls.o
-iwlmvm-y += ftm-initiator.o
-iwlmvm-y += ftm-responder.o
+iwlmvm-y += ftm-responder.o ftm-initiator.o
+iwlmvm-y += rfi.o
 iwlmvm-y += nan.o
 iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
 iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
@@ -16,3 +16,5 @@
 
 # non-upstream things
 iwlmvm-$(CPTCFG_IWLMVM_VENDOR_CMDS) += vendor-cmd.o
+ifeq ($(CPTCFG_IWLMVM_VENDOR_CMDS),y)
+endif

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: kernel
 Priority: optional
 Maintainer: You-Sheng Yang <vicamo@gmail.com>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>=9),
+ debhelper-compat (= 13),
+ dh-modaliases,
  dkms,
  quilt,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://gitlab.com/vicamo/backport-iwlwifi-dkms
 Vcs-Browser: https://gitlab.com/vicamo/backport-iwlwifi-dkms/tree/master
 Vcs-Git: https://gitlab.com/vicamo/backport-iwlwifi-dkms.git

## backport-iwlwifi-dkms 9580

=== compat/Makefile ===
--- 
+++ 
@@ -38,7 +38,9 @@
 compat-$(CPTCFG_KERNEL_4_10) += backport-4.10.o
 compat-$(CPTCFG_KERNEL_4_18) += backport-4.18.o
 compat-$(CPTCFG_KERNEL_5_2) += backport-5.2.o backport-genetlink.o
+compat-$(CPTCFG_KERNEL_5_3) += backport-5.3.o
 compat-$(CPTCFG_KERNEL_5_5) += backport-5.5.o
+compat-$(CPTCFG_KERNEL_5_10) += backport-5.10.o
 
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/verify.o
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7.asn1.o

=== net/wireless/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 cfg80211-y += extra-certs.o
 endif
 
-$(obj)/shipped-certs.c: $(wildcard $(backport_srctree)/$(src)/certs/*.hex)
+$(obj)/shipped-certs.c: $(wildcard $(src)/certs/*.hex)
 	@$(kecho) "  GEN     $@"
 	@(echo '#include "reg.h"'; \
 	  echo 'const u8 shipped_regdb_certs[] = {'; \

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 iwlwifi-$(CONFIG_ACPI)	+= fw/acpi.o
 iwlwifi-$(CONFIG_EFI)	+= fw/uefi.o
+
+# Mock-ups
 
 # Bus
 iwlwifi-$(CONFIG_PCI) += pcie/drv.o pcie/rx.o pcie/tx.o pcie/trans.o

=== drivers/net/wireless/intel/iwlwifi/mei/Makefile ===
# SPDX-License-Identifier: GPL-2.0
obj-$(CPTCFG_IWLMEI)	+= iwlmei.o
iwlmei-y += main.o
iwlmei-y += net.o
iwlmei-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += trace.o
CFLAGS_trace.o := -I$(src)

ccflags-y += -I$(src)/../

=== debian/changelog ===
backport-iwlwifi-dkms (9580-0ubuntu1~21.10.1.1) impish; urgency=low

  * New release (LP: #1962704)
    - refresh patches.
    - upstream version 9580 commit a0a813b1546992.

  [ Dimitri John Ledkov ]
  * Bump obsolete-by to Linux 5.16

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 02 Mar 2022 14:57:14 +0800

## backport-iwlwifi-dkms 9858

=== Makefile ===
--- 
+++ 
@@ -84,8 +84,8 @@
 				echo ""							;\
 			done								\
 		) > Kconfig.kernel							;\
-		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) kernelversion |	\
-			sed 's/^\(\([3-5]\|2\.6\)\.[0-9]\+\).*/\1/;t;d')		;\
+		kver=$$($(MAKE) --no-print-directory -C $(KLIB_BUILD) M=$(BACKPORT_DIR)	\
+			kernelversion |	sed 's/^\(\([3-5]\|2\.6\)\.[0-9]\+\).*/\1/;t;d');\
 		test "$$kver" != "" || echo "Kernel version parse failed!"		;\
 		test "$$kver" != ""							;\
 		kvers="$$(seq 14 39 | sed 's/^/2.6./')"					;\

=== compat/Makefile ===
--- 
+++ 
@@ -7,40 +7,19 @@
 compat-y += main.o
 
 # Kernel backport compatibility code
-compat-$(CPTCFG_KERNEL_3_0) += compat-3.0.o
-compat-$(CPTCFG_KERNEL_3_1) += compat-3.1.o
-compat-$(CPTCFG_KERNEL_3_2) += backport-3.2.o
-compat-$(CPTCFG_KERNEL_3_3) += compat-3.3.o
-compat-$(CPTCFG_KERNEL_3_4) += compat-3.4.o
-compat-$(CPTCFG_KERNEL_3_5) += compat-3.5.o user_namespace.o
-compat-$(CPTCFG_KERNEL_3_6) += compat-3.6.o
-compat-$(CPTCFG_KERNEL_3_7) += compat-3.7.o
-compat-$(CPTCFG_KERNEL_3_8) += compat-3.8.o
-compat-$(CPTCFG_KERNEL_3_9) += compat-3.9.o
-compat-$(CPTCFG_KERNEL_3_10) += backport-3.10.o
-compat-$(CPTCFG_KERNEL_3_11) += backport-3.11.o
-compat-$(CPTCFG_KERNEL_3_12) += backport-3.12.o
-compat-$(CPTCFG_KERNEL_3_13) += backport-3.13.o memneq.o
-compat-$(CPTCFG_KERNEL_3_14) += backport-3.14.o
-compat-$(CPTCFG_KERNEL_3_15) += backport-3.15.o
-compat-$(CPTCFG_KERNEL_3_17) += backport-3.17.o
-compat-$(CPTCFG_KERNEL_3_18) += backport-3.18.o
-compat-$(CPTCFG_KERNEL_3_19) += backport-3.19.o
-compat-$(CPTCFG_KERNEL_4_0) += backport-4.0.o
-compat-$(CPTCFG_KERNEL_4_1) += backport-4.1.o
-compat-$(CPTCFG_KERNEL_4_2) += backport-4.2.o
-compat-$(CPTCFG_KERNEL_4_3) += backport-4.3.o
-compat-$(CPTCFG_KERNEL_4_4) += backport-4.4.o
 compat-$(CPTCFG_KERNEL_4_5) += backport-4.5.o
 compat-$(CPTCFG_KERNEL_4_6) += backport-4.6.o
 compat-$(CPTCFG_KERNEL_4_7) += backport-4.7.o
 compat-$(CPTCFG_KERNEL_4_8) += backport-4.8.o
 compat-$(CPTCFG_KERNEL_4_10) += backport-4.10.o
+compat-$(CPTCFG_KERNEL_4_11) += backport-4.11.o
 compat-$(CPTCFG_KERNEL_4_18) += backport-4.18.o
 compat-$(CPTCFG_KERNEL_5_2) += backport-5.2.o backport-genetlink.o
 compat-$(CPTCFG_KERNEL_5_3) += backport-5.3.o
 compat-$(CPTCFG_KERNEL_5_5) += backport-5.5.o
 compat-$(CPTCFG_KERNEL_5_10) += backport-5.10.o
+compat-$(CPTCFG_KERNEL_5_11) += backport-5.11.o
+compat-$(CPTCFG_KERNEL_5_13) += backport-5.13.o
 
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/verify.o
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += verification/pkcs7.asn1.o
@@ -71,11 +50,10 @@
 quiet_cmd_build_OID_registry = GEN     $@
 	cmd_build_OID_registry = perl $(src)/build_OID_registry $< $@
 compat-$(CPTCFG_BPAUTO_ASN1_DECODER) += lib-asn1_decoder.o
+compat-$(CPTCFG_BPAUTO_PUBLIC_KEY) += 
+compat-$(CPTCFG_BPAUTO_REFCOUNT) += lib-refcount.o
+compat-$(CPTCFG_BPAUTO_RHASHTABLE) += lib-rhashtable.o
 compat-$(CPTCFG_BPAUTO_BUILD_SYSTEM_DATA_VERIFICATION) += lib-oid_registry.o
-compat-$(CPTCFG_BPAUTO_REFCOUNT) += lib-refcount.o
-compat-$(CPTCFG_BPAUTO_BUILD_WANT_DEV_COREDUMP) += drivers-base-devcoredump.o
-compat-$(CPTCFG_BPAUTO_RHASHTABLE) += lib-rhashtable.o
-compat-$(CPTCFG_BPAUTO_PUBLIC_KEY) += 
 compat-$(CPTCFG_BPAUTO_BUCKET_LOCKS) += lib-bucket_locks.o
 compat-$(CPTCFG_BPAUTO_PKCS7) += 
 compat-$(CPTCFG_BPAUTO_BUILD_CRYPTO_LIB_ARC4) += lib-crypto-arc4.o

=== net/Makefile ===
--- 
+++ 
@@ -17,14 +17,13 @@
 obj-$(CONFIG_INET)		+= ipv4/
 obj-$(CONFIG_TLS)		+= tls/
 obj-$(CONFIG_XFRM)		+= xfrm/
-obj-$(CONFIG_UNIX)		+= unix/
-obj-$(CONFIG_INET_PSP)		+= psp/
+obj-$(CONFIG_UNIX_SCM)		+= unix/
 obj-y				+= ipv6/
+obj-$(CONFIG_BPFILTER)		+= bpfilter/
 obj-$(CONFIG_PACKET)		+= packet/
 obj-$(CONFIG_NET_KEY)		+= key/
 obj-$(CONFIG_BRIDGE)		+= bridge/
-obj-$(CONFIG_NET_DEVLINK)	+= devlink/
-obj-y				+= dsa/
+obj-$(CONFIG_NET_DSA)		+= dsa/
 obj-$(CONFIG_ATALK)		+= appletalk/
 obj-$(CONFIG_X25)		+= x25/
 obj-$(CONFIG_LAPB)		+= lapb/
@@ -39,10 +38,12 @@
 obj-$(CONFIG_STREAM_PARSER)	+= strparser/
 obj-$(CONFIG_ATM)		+= atm/
 obj-$(CONFIG_L2TP)		+= l2tp/
+obj-$(CONFIG_DECNET)		+= decnet/
 obj-$(CONFIG_PHONET)		+= phonet/
 ifneq ($(CONFIG_VLAN_8021Q),)
 obj-y				+= 8021q/
 endif
+obj-$(CONFIG_IP_DCCP)		+= dccp/
 obj-$(CONFIG_IP_SCTP)		+= sctp/
 obj-$(CONFIG_RDS)		+= rds/
 obj-$(CPTCFG_WIRELESS)		+= wireless/
@@ -78,5 +79,3 @@
 obj-$(CONFIG_XDP_SOCKETS)	+= xdp/
 obj-$(CONFIG_MPTCP)		+= mptcp/
 obj-$(CONFIG_MCTP)		+= mctp/
-obj-$(CONFIG_NET_HANDSHAKE)	+= handshake/
-obj-$(CONFIG_NET_SHAPER)	+= shaper/

=== net/mac80211/Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 	trace.o mlme.o \
 	tdls.o \
 	ocb.o \
-	airtime.o
+	airtime.o \
+	eht.o
 
 mac80211-$(CPTCFG_MAC80211_LEDS) += led.o
 mac80211-$(CPTCFG_MAC80211_DEBUGFS) += \

=== net/wireless/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 $(obj)/shipped-certs.c: $(wildcard $(src)/certs/*.hex)
 	@$(kecho) "  GEN     $@"
-	@(echo '#include "reg.h"'; \
+	$(Q)(echo '#include "reg.h"'; \
 	  echo 'const u8 shipped_regdb_certs[] = {'; \
 	  echo | cat - $^ ; \
 	  echo '};'; \
@@ -37,7 +37,7 @@
 $(obj)/extra-certs.c: $(CPTCFG_CFG80211_EXTRA_REGDB_KEYDIR:"%"=%) \
 		      $(wildcard $(CPTCFG_CFG80211_EXTRA_REGDB_KEYDIR:"%"=%)/*.x509)
 	@$(kecho) "  GEN     $@"
-	@(set -e; \
+	$(Q)(set -e; \
 	  allf=""; \
 	  for f in $^ ; do \
 	      test -f $$f || continue;\

=== drivers/net/wireless/Makefile ===
--- 
+++ 
@@ -12,6 +12,7 @@
 #obj-$(CONFIG_WLAN_VENDOR_INTERSIL) += intersil/
 #obj-$(CONFIG_WLAN_VENDOR_MARVELL) += marvell/
 #obj-$(CONFIG_WLAN_VENDOR_MEDIATEK) += mediatek/
+#obj-$(CONFIG_WLAN_VENDOR_MICROCHIP) += microchip/
 #obj-$(CONFIG_WLAN_VENDOR_RALINK) += ralink/
 #obj-$(CONFIG_WLAN_VENDOR_REALTEK) += realtek/
 #obj-$(CONFIG_WLAN_VENDOR_RSI) += rsi/

=== drivers/net/wireless/intel/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# SPDX-License-Identifier: GPL-2.0-only
 #obj-$(CONFIG_IPW2100) += ipw2x00/
 #obj-$(CONFIG_IPW2200) += ipw2x00/
 #

=== drivers/net/wireless/intel/iwlwifi/Makefile ===
--- 
+++ 
@@ -39,10 +39,10 @@
 
 ccflags-y += -I$(src)
 subdir-ccflags-y += $(call cc-option,-Wimplicit-fallthrough)
+# for FreeBSD compatibility - they use most of our driver
 
 obj-$(CPTCFG_IWLMVM)	+= mvm/
+obj-$(CPTCFG_IWLMEI)	+= mei/
 obj-$(CPTCFG_IWLXVT)	+= xvt/
 
-obj-$(CPTCFG_IWLMEI)	+= mei/
-
 CFLAGS_iwl-devtrace.o := -I$(src)

=== drivers/net/wireless/intel/iwlwifi/mei/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CPTCFG_IWLMEI)	+= iwlmei.o
iwlmei-y += main.o
iwlmei-y += net.o
iwlmei-$(CPTCFG_IWLWIFI_DEVICE_TRACING) += trace.o
CFLAGS_trace.o := -I$(src)

ccflags-y += -I $(src)/../

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
 iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
 iwlmvm-$(CONFIG_PM) += d3.o
+iwlmvm-$(CPTCFG_IWLMEI) += vendor-cmd.o
 
 ccflags-y += -I$(src)/../

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: backport-iwlwifi-dkms
 Section: kernel
 Priority: optional
-Maintainer: You-Sheng Yang <vicamo@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: You-Sheng Yang <vicamo@gmail.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME=backport-iwlwifi
DKMS_PACKAGE_VERSION=$(DEB_VERSION_UPSTREAM)
GENERATED_DKMS_FILES= \
    debian/backport-iwlwifi-dkms.install \
    debian/backport-iwlwifi-dkms.dkms

%:
	dh $@ --with dkms

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_clean:
	-rm -f $(GENERATED_DKMS_FILES)
	dh_clean

override_dh_install: debian/backport-iwlwifi-dkms.install
	dh_install --exclude=.gitignore

override_dh_dkms: debian/backport-iwlwifi-dkms.dkms
	dh_dkms -V $(DKMS_PACKAGE_VERSION)

$(GENERATED_DKMS_FILES) : $(GENERATED_DKMS_FILES:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@

## backport-iwlwifi-dkms 9904

=== drivers/net/wireless/intel/iwlwifi/mvm/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 iwlmvm-y += ftm-responder.o ftm-initiator.o
 iwlmvm-y += rfi.o
 iwlmvm-y += nan.o
+iwlmvm-y += time-sync.o
+iwlmvm-y += mld-key.o
 iwlmvm-$(CPTCFG_IWLWIFI_DEBUGFS) += debugfs.o debugfs-vif.o
 iwlmvm-$(CPTCFG_IWLWIFI_LEDS) += led.o
 iwlmvm-$(CONFIG_PM) += d3.o
